# Import file "Apple Music"
$ = Framer.Importer.load("imported/Apple%20Music@2x", scale: 1)

# Functions

todaysDate = ->
	days = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday']
	months = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
	
	now = new Date()
	
	dayOfTheWeekNumber	= now.getDay()		# = a number between 0 and 6
	monthNumber			= now.getMonth()	# = a number between 0 and 11
	
	theDateAsText = days[ dayOfTheWeekNumber ] + ", " + months[ monthNumber ] + " " + now.getDate()
	
	return theDateAsText

# The «Library» screen

# Scroll Component for «Library_content»
scroll_library = ScrollComponent.wrap $.Library_content
scroll_library.scrollHorizontal = no
scroll_library.contentInset =
	bottom: $.Tabs.height + 80

# The Tab Bar

# Make all the tabs gray …
for tab in $.Tabs.children
	tab.saturate = 0
	tab.opacity = 0.6

# … except the first one
$.Tab_Library.saturate = 100
$.Tab_Library.opacity = 1

# The «For You» screen

# Bring it over
$.For_you.x = 0

# Scroll Component for the whole artboard
scroll_for_you = ScrollComponent.wrap $.For_you
scroll_for_you.props = 
	scrollHorizontal: no
	contentInset:
		bottom: $.Tabs.height + 40
	directionLock: yes

# Scroll Component for the Recently Played section
recentlyPlayed = ScrollComponent.wrap $.Recently_Played_albums
recentlyPlayed.props =
	scrollVertical: no
	contentInset:
		right: 20
	directionLock: yes

# Page Component for New Music, Favourites, & Chill Mixes
mixes = new PageComponent
	frame: $.New_Music_mix.frame		# Use the card’s position and size
	parent: $.For_you
	scrollVertical: no
	directionLock: yes

# Add the first card, in a wrapper
wrapper1 = new Layer
	width: $.New_Music_mix.width - 15	# Cut from the right side
	height: $.New_Music_mix.height
	backgroundColor: null
	clip: yes

$.New_Music_mix.parent = wrapper1
$.New_Music_mix.y = 0					# Reset y position, because it’s now in the wrapper

mixes.addPage wrapper1

# The second card
wrapper2 = new Layer
	width: $.Favourites_mix.width - 30	# Cut from both sides
	height: $.Favourites_mix.height
	backgroundColor: null
	clip: yes

$.Favourites_mix.parent = wrapper2
$.Favourites_mix.y = 0					# Reset y position
$.Favourites_mix.x = -15				# Reposition

mixes.addPage wrapper2

# The third card
wrapper3 = new Layer
	width: $.Chill_mix.width - 15		# Cut from the left side
	height: $.Favourites_mix.height
	backgroundColor: null
	clip: yes

$.Chill_mix.parent = wrapper3
$.Chill_mix.y = 0						# Reset y position
$.Chill_mix.x = -15						# Reposition

mixes.addPage wrapper3


# A Text Layer with Today’s date
today = new TextLayer
	text: todaysDate()
	fontSize: 13.5
	color: "#929292"
	parent: $.Header_For_You
	x: $.Today_s_date.x
	y: $.Today_s_date.y - 3.5
	textTransform: "uppercase"

# Hide the original date image
$.Today_s_date.visible = no


# Switching between the Tabs

$.Tab_Library.onTap ->
	scroll_library.visible = yes
	scroll_for_you.visible = no
	
	# Make all tabs gray
	for tab in $.Tabs.children
		tab.saturate = 0
		tab.opacity = .6
	# Except this one
	@saturate = 100
	@opacity = 1

$.Tab_For_You.onTap ->
	scroll_for_you.visible = yes
	scroll_library.visible = no
	
	# Make all tabs gray
	for tab in $.Tabs.children
		tab.saturate = 0
		tab.opacity = .6
	# Except this one
	@saturate = 100
	@opacity = 1

# Initially hide the «For You» screen 
scroll_for_you.visible = no


# Place the Status bar and Tab bar on top of everything
$.Status_Bar.parent = null
$.Tabs.parent = null
